Package org.eclipse.core.databinding.bind.steps

# Interface SetTwoWaySteps.SetTwoWayToStep<F,T>

Type Parameters:
  `F` - type of the from-end observable
  `T` - type of the to-end observable

All Superinterfaces:
  `SetCommonSteps.SetToStep<F,T>`, `Step`

All Known Subinterfaces:
  `SetTwoWaySteps.SetTwoWayConvertToStep<F,THIS>`

Enclosing class:
  SetTwoWaySteps

public static interface SetTwoWaySteps.SetTwoWayToStep<F,T> extends SetCommonSteps.SetToStep<F,T>
Step for setting the to-end observable.

Restriction:

## Method Summary

Modifier and Type
Method
Description
`SetTwoWaySteps.SetTwoWayBindConfigStep<F,T,?>`
`to(IObservableSet<T> to)`
Sets the from-end observable of the resulting binding.

## Method Details

### to

SetTwoWaySteps.SetTwoWayBindConfigStep<F,T,?> to(IObservableSet<T> to)
Description copied from interface: `SetCommonSteps.SetToStep`
Sets the from-end observable of the resulting binding. All steps after this one will configure that from-end of the binding.

Specified by:
  `to` in interface `SetCommonSteps.SetToStep<F,T>`
Returns:
  next step
See Also:
  - `DataBindingContext.bindSet(org.eclipse.core.databinding.observable.set.IObservableSet<T>, org.eclipse.core.databinding.observable.set.IObservableSet<M>)`